Product

[End of Support] Mobile Operating System (OS) Versions Older than Android 4.4

2019-04-02


Dear Customer,

To continuously improving our service and your experience, we regret to inform that we will terminate support for all Android devices with Android versions older than Android 4.4 starting today. This is necessary in order to improve the stability, also to add new features, all of which are not supported by the older versions of Android.

While users can continue to use previously installed, older versions of KKBOX on devices running on Android 4.4, we will no longer provide support for any issues encountered.